Bug 1386735 - Review Request: php-fedora-autoloader - Fedora Autoloader
Summary: Review Request: php-fedora-autoloader - Fedora Autoloader
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-19 14:27 UTC by Shawn Iwinski
Modified: 2016-11-15 19:18 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-31 23:45:18 UTC
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (6.48 KB, text/plain)
2016-10-19 14:51 UTC, Remi Collet
no flags Details
review.txt (7.44 KB, text/plain)
2016-10-19 14:52 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2016-10-19 14:27:42 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/9648c70d5c63b6816f4739bdf347fbe00dd35361/php-fedora-autoloader/php-fedora-autoloader.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-fedora-autoloader-0.1.0-1.fc24.src.rpm

Description:
Static PSR-4 [1], PSR-0 [2], and classmap autoloader.  Includes loader for
required and optional dependencies.

[1] http://www.php-fig.org/psr/psr-4/
[2] http://www.php-fig.org/psr/psr-0/


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2016-10-19 14:47:53 UTC
Please ;)


-sed 's#__PHPDIR__#%{phpdir}#' res/phpab/fedora.php.tpl
+sed -e 's#__PHPDIR__#%{phpdir}/Fedora/Autoloader#' -i res/phpab/fedora.php.tpl

Comment 2 Remi Collet 2016-10-19 14:51 UTC
Created attachment 1212183 [details]
phpci.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 15 2016 18:25:18 CEST static analyze results

Comment 3 Remi Collet 2016-10-19 14:52 UTC
Created attachment 1212185 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1386735
Buildroot used: fedora-rawhide-x86_64

Comment 4 Remi Collet 2016-10-19 14:53:16 UTC
[!]: Package functions as described.
	phpab template is not functional.

Comment 5 Remi Collet 2016-10-19 14:57:09 UTC
As README contains mostly dev instructions, perhaps can be moved in -devel subpackage (and probably also composer.json)

Which will make the "runtime" package really small.

Comment 7 Remi Collet 2016-10-20 04:56:46 UTC
-%global github_version   0.1.0
-%global github_commit    f88fc9430954d86250495eb945ac736bef1dd9ba
+%global github_version   0.1.1
+%global github_commit    816e4e59061c592f7480a00c6cd9c16067811c1e

-sed 's#__PHPDIR__#%{phpdir}#' res/phpab/fedora.php.tpl
+sed "s#___AUTOLOAD_PATH___#'%{phpdir}/Fedora/Autoloader'#" \
+    -i res/phpab/fedora.php.tpl

-%doc *.md
-%doc composer.json

+%doc *.md
+%doc composer.json

+* Wed Oct 19 2016 Shawn Iwinski <shawn@iwin.ski> - 0.1.1-1
+- Update to 0.1.1
+- Fix phpab template
+- Move docs to devel subpackage

[x]: Package functions as described.

This Package complies to the Packaging Guidelines.

=== APPROVED ===

Comment 8 Gwyn Ciesla 2016-10-20 12:21:04 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-fedora-autoloader

Comment 9 Fedora Update System 2016-10-21 16:50:06 UTC
php-fedora-autoloader-0.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0dbc1f0889

Comment 10 Fedora Update System 2016-10-22 02:25:21 UTC
php-fedora-autoloader-0.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e758eff5c

Comment 11 Fedora Update System 2016-10-22 03:54:52 UTC
php-fedora-autoloader-0.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ade51bea8

Comment 12 Fedora Update System 2016-10-22 08:18:00 UTC
php-fedora-autoloader-0.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f6b9b78cd3

Comment 13 Fedora Update System 2016-10-22 11:54:32 UTC
php-fedora-autoloader-0.1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b13ad233fd

Comment 14 Fedora Update System 2016-10-25 00:19:53 UTC
php-fedora-autoloader-0.1.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f6b9b78cd3

Comment 15 Fedora Update System 2016-10-25 01:23:02 UTC
php-fedora-autoloader-0.1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e758eff5c

Comment 16 Fedora Update System 2016-10-25 02:22:47 UTC
php-fedora-autoloader-0.1.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b13ad233fd

Comment 17 Fedora Update System 2016-10-25 04:22:40 UTC
php-fedora-autoloader-0.1.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ade51bea8

Comment 18 Fedora Update System 2016-10-25 06:18:04 UTC
php-fedora-autoloader-0.1.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0dbc1f0889

Comment 19 Fedora Update System 2016-10-28 12:47:36 UTC
php-fedora-autoloader-0.2.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f6b9b78cd3

Comment 20 Fedora Update System 2016-10-28 12:49:27 UTC
php-fedora-autoloader-0.2.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0dbc1f0889

Comment 21 Fedora Update System 2016-10-28 14:54:54 UTC
php-fedora-autoloader-0.2.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ade51bea8

Comment 22 Fedora Update System 2016-10-28 15:54:51 UTC
php-fedora-autoloader-0.2.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e758eff5c

Comment 23 Fedora Update System 2016-10-29 03:54:57 UTC
php-fedora-autoloader-0.2.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b13ad233fd

Comment 24 Fedora Update System 2016-10-30 18:49:17 UTC
php-fedora-autoloader-0.2.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0dbc1f0889

Comment 25 Fedora Update System 2016-10-30 19:23:47 UTC
php-fedora-autoloader-0.2.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e758eff5c

Comment 26 Fedora Update System 2016-10-30 20:21:05 UTC
php-fedora-autoloader-0.2.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b13ad233fd

Comment 27 Fedora Update System 2016-10-31 03:47:43 UTC
php-fedora-autoloader-0.2.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f6b9b78cd3

Comment 28 Fedora Update System 2016-10-31 10:21:15 UTC
php-fedora-autoloader-0.2.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ade51bea8

Comment 29 Fedora Update System 2016-10-31 23:45:18 UTC
php-fedora-autoloader-0.2.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2016-11-07 23:23:55 UTC
php-fedora-autoloader-0.2.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2016-11-08 22:52:41 UTC
php-fedora-autoloader-0.2.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2016-11-15 15:59:57 UTC
php-fedora-autoloader-0.2.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2016-11-15 19:18:46 UTC
php-fedora-autoloader-0.2.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.